#ifndef  __LTE_H
#define  __LTE_H

#include "usart.h"
#include "string.h"
#include "sys_mqtt.h"
#include "LTE_MQTT.h"

#include "stdint.h"
#include "timer.h"
#include "gateway_message.h"
#if 0
#include <ucos_ii.h>
#define LTE_Delay(x)				OSTimeDly(x);
#else
#define LTE_Delay(x)				delay_ms(x)
#endif

#define SUCCESS  0
#define ERROR  	 1
#define TIMEOUT  2
extern int socket;
extern uint8_t config_flag;

void EC800M_open(void);
int LTE_HTTP_get(void); 
void ec800_init(void);
void ec800_TCP(void);
void http_set_url(char *url);
int Iot_SendCmd(char* cmd, char* reply, int wait);

void EC800M_task(void);

#endif
